Update dependents
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("[ { \"id\": 1, \"name\": \"example\", \"birthdate\": \"example\", \"gender\": \"Male\" } ]") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents"
payload := strings.NewReader("[ { \"id\": 1, \"name\": \"example\", \"birthdate\": \"example\", \"gender\": \"Male\" } ]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "[ { \"id\": 1, \"name\": \"example\", \"birthdate\": \"example\", \"gender\": \"Male\" } ]");Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: [{id: 1, name: 'example', birthdate: 'example', gender: 'Male'}]};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"id":1,"name":"example","birthdate":"example","gender":"Male"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "id": 1, "name": "example", "birthdate": "example", "gender": "Male" } ]'Atomically add, update, or delete dependent objects. The dependent collection should represent all members’ dependents. To add a new dependent, set the id field to 0. To update a dependent, send the entire dependent object. To delete a dependent, remove it from the list.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The Store Id
Example
your-store-idThe Member Id
Example
m_nsr714RRBEHXRequest Body
Section titled “Request Body”A collection of dependents
object
The id of the dependant
The name of the dependent. It cannot be empty or greater than 50 characters long
The birthdate of the dependent is defined in the format yyyy-MM-dd. The date must be valid.If the day or month is unknown, use 1 instead.
Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
object
The id of the dependant
The name of the dependent. It cannot be empty or greater than 50 characters long
The birthdate of the dependent is defined in the format yyyy-MM-dd. The date must be valid.If the day or month is unknown, use 1 instead.
Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
object
The id of the dependant
The name of the dependent. It cannot be empty or greater than 50 characters long
The birthdate of the dependent is defined in the format yyyy-MM-dd. The date must be valid.If the day or month is unknown, use 1 instead.
Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
Responses
Section titled “Responses”No Content
Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}